/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef } from '@angular/core';
import { ContextService } from '../common/provider.service';
import { PagerContextChanges, PagerContextService } from './pager-context.service';
import { PagerElementComponent } from './pager-element.component';
import * as i0 from "@angular/core";
/**
 * Displays numeric buttons to enable navigation between the pages ([see example](slug:pager_template_grid#toc-using-built-in-pager-components)).
 */
export declare class PagerNumericButtonsComponent extends PagerElementComponent {
    protected pagerContext: PagerContextService;
    selectElement: any;
    numbersElement: any;
    /**
     * The count of the displayed buttons.
     *
     * @type {number}
     * @memberOf PagerNumericButtonsComponent
     */
    buttonCount: number;
    /**
     * @hidden
     *
     * @readonly
     * @type {number[]}
     * @memberOf PagerNumericButtonsComponent
     */
    get buttons(): number[];
    /**
     * @hidden
     */
    get end(): number;
    /**
     * @hidden
     */
    get start(): number;
    constructor(ctx: ContextService, cd: ChangeDetectorRef, pagerContext: PagerContextService);
    /**
     * @hidden
     */
    pageLabel(num: number): string;
    /**
     * @hidden
     */
    onSelectChange(e: Event): void;
    protected onChanges({ total, skip, pageSize }: PagerContextChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PagerNumericButtonsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PagerNumericButtonsComponent, "kendo-pager-numeric-buttons", never, { "buttonCount": "buttonCount"; }, {}, never, never, true, never>;
}
